[DICA] Instalando Wine 5 no Debian 10 / Ubuntu 18.04 e 19.04 / Linux Mint 19.x

Criei esse post para quem está com dificuldade de instala a nova versão do wine. Vi que muitos estão com o mesmo problema sempre retornando esse erro:

image

Antes de segui os passos abaixo você deve primeiro desinstalar o Wine caso tenha ele instalado:

sudo apt remove wine

Se o seu sistema for de 64 bits, ative a arquitetura de 32 bits (se ainda não o tiver):

sudo dpkg --add-architecture i386

Após isso remova a PPA e a Key do wine e ai poderá seguir os passos abaixo de acordo com o seu SO.


Debian 10

Key:
Ctrl + S para salva

Release.key

Abra o terminal e vá para a pasta que você fez o download da key e execute o comando:

sudo apt-key add Release.key

PPA:

deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/Debian_10 ./

Caso não souber adiciona a PPA siga esses passos:

Como adicionar PPA no Debian

sudo nano /etc/apt/sources.list

Desça até o final do arquivo e cole a PPA;
Ctrl + O e tecle S;
Ctrl + X para sair do arquivo;

Atualize o repositório:

sudo apt update

Instalação:

sudo apt install --install-recommends winehq-stable

Ubuntu 19.04

Key:
Ctrl + S para salva

Release.key

Abra o terminal e vá para a pasta que você fez o download da key e execute o comando:

sudo apt-key add Release.key

PPA:

sudo apt-add-repository 'deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_19.04 ./'

Atualize o repositório:

sudo apt update

Instalação:

sudo apt install --install-recommends winehq-stable

Ubuntu 18.04 / Linux Mint 19.x

Key:
Ctrl + S para salva

Release.key

Abra o terminal e vá para a pasta que você fez o download da key e execute o comando:

sudo apt-key add Release.key

PPA:

sudo apt-add-repository 'deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./'

Atualize o respositório:

sudo apt update

Instalação:

sudo apt install --install-recommends winehq-stable


Caso queira outra versão do Wine:

Stable branch:

sudo apt install --install-recommends winehq-stable

Development branch:

sudo apt install --install-recommends winehq-devel

Staging branch:

sudo apt install --install-recommends winehq-staging

Link do vídeo demonstrando o bug e como resolve:

8 curtidas

Eu estou com o problema quando tento adicionar o repositorio ele diz “Entrada mal formada, repositorio nao adicionado”

1 curtida

Refaça os passos, eu coloquei dois comandos juntos na instalação do ubuntu 18.04 já corrigi (creio que você esteja no ubuntu 18.04 e foi esse o problema) é só copia e segui que vai funciona.

2 curtidas

Depois de instalado o Wine, posso excluir o arquivo de texto Release.key? (Já excluí kkk)

@YugiMoto Nada para o 16.04?

Ubuntu 16.04 ja chegou no “fim da vida” @Kogane, recomendado usar o 18.04 (conforme a própria Canonical recomenda)

1 curtida

Pode sim, não tem problema não.

O @CanalOCaraDoTI2 já respondeu xD
Infelizmente o ubuntu 16.04 eu não achei nada pra instala o wine 5.

1 curtida

O 16.04 chegará ao seu “fim de vida” em abril de 2021, com o lançamento do 21.04.

Além do fato de do 17 pra cima, não tem mais Unity. E ainda por cima, o GNOME do 18.04 é muito pesado.
Quanto ao 19.04/19.10, fora o fato de ter uns repostirórios extras, não vejo tanta vantagem em usar o Ubuntu atual em relação a qualquer GNOME.
O que tornava o Ubuntu o Ubuntu era o Unity, mas agora não tem nenhum diferencial. Dá pra pegar qualquer GNOME, instalar a Dash to Dock e ativar a opção “Modo do painel: Extender até a borda da tela” e mágica! Vira o Ubuntu.

Sem problemas cara, você não é obrigado a atualiza mas acho que o que o @CanalOCaraDoTI2 quis dizer é que ele está ficando meio abandonado e meio que o foco agora pode se dizer que é mais para as versões 18.04 em diante. E todo sabem que o gnome da versão 18.04 está longe de ser uma boa opção tanto que a maioria que usa ubuntu com gnome está nas versões 19.04/19.10.
Sobre o wine 5 no 16.04 você pode tenta instala por esse link:
(não sei se funciona eu nem testei mas você pode tenta e depois ajuda quem ainda tiver usando a versão 16.04)

1 curtida

O @YugiMoto ja meio q explicou mas vou reforçar @Kogane. Vc ficar na base 16.04 só vai trazer esses transtornos de não conseguir usar mais quase nada, tanto que a própria Canonical só recomenda a ficar no 16.04 se vc for uma empresa que precisa estritamente do sistema, caso contrario, ela recomenda os usuários “domésticos” a usar o 18.04. O Ubuntu 18.04 não vem somente com o Gnome, vc pode escolher outras flavours (como o Mate ou XFCE no quesito leveza) ou ainda usar alguma distro baseada nele, como o ZorinOS LITE 15.1 ou o Mint 19.3 (Cinnamon, XFCE ou MATE).

1 curtida

Mas nada com Unity
20chars

Mas você pode instalar ele, mas se o sistema quebrar por causa disso, ai vc vai ter q e virar pra arrumar e tals. Ficar em um sistema EOL é muito arriscado por causa de uma DE.

1 curtida

O suporte do Ubuntu 16.04.6 vai terminar em abril de 2021. Só vou largar o Unity quando o suporte pro 16 acabar (isso se não tiver uma forma estável de usar ele em versões futuras até lá)

Ok ué não tem problema nenhum em escolhe isso.

O suporte ao 16.04 n acabo vou mudar só em 2021 tmb.
Eu estava navegando pelas pastas do repositório oficial e acabei notando que a versão devel esta presente. instala ela. hehehehe
$ sudo apt install --install-recommends winehq-devel

Você pode ate baixa a versão 5.0 se quiser pela devel. hehehe
comando:
wget https://dl.winehq.org/wine-builds/ubuntu/dists/xenial/main/binary-amd64/wine-devel-amd64_5.0.0~xenial_amd64.deb
wget https://dl.winehq.org/wine-builds/ubuntu/dists/xenial/main/binary-i386/wine-devel-i386_5.0.0~xenial_i386.deb
Use o gdebi ou o dpkg para instalar para você
A diferença de instalar assim é que é manual.

1 curtida

tenso, o ubuntu 19 não tem dependência pro wine.

1 curtida

sudo apt install --install-recommends winehq-devel

1 curtida